Subject: RFE: focusing on source vs. symptoms (reducing duplicate error ouput)

From: L A Walsh <[email-masked]>
Date: Sun, 03 Sep 2017 15:06:49 -0700

(Originally posted w/2 separable issues merged: splitting.)
 
In copying to a directory from a file system that has no unix
permission bits (from one that does), one gets many duplicate
error messages.  Ex, copying from from a standard linux file
system to a VFAT FS, cp reported:
 
>  cp -a Valkyrja /l/
cp: preserving permissions for ‘/l/Valkyrja/folder.jpg’: Not supported
cp: preserving permissions for ‘/l/Valkyrja/01 Valkyrja(ヴァルキリア). 
flac’: Not supported
cp: preserving permissions for ‘/l/Valkyrja/02 妖精帝國.flac’: Not 
supported
cp: preserving permissions for ‘/l/Valkyrja/Scans/mo07.jpg’: Not supported
cp: preserving permissions for ‘/l/Valkyrja/Scans/mo05.jpg’: Not supported
cp: preserving permissions for ‘/l/Valkyrja/Scans/mo06.jpg’: Not supported
cp: preserving permissions for ‘/l/Valkyrja/Scans/mo01.jpg’: Not supported
...

If Target file system doesn't support preserving permissions,
it would be more useful to issue 1 error message for the
_source_ of the problem (the directory) than 100's to 1000's of messages
for each failure (symptoms of problem).  Maybe
something along the lines of (w/optional clarification in parens):

>  cp -a Valkyrja /l/
cp: preserving permissions for destination '/l/': Not supported.
    (per-file permissions-Not-supported messages suppressed)

Thanks...
linda